#!/bin/sh
#
# Usage: install-bindist.sh [ServerRoot]
# This script installs the Apache binary distribution and
# was automatically created by binbuild.sh.
 
if [ .$1 = . ]
then
  SR=/usr/local/apache
else
  SR=$1
fi
echo "Installing binary distribution for platform i586-whatever-linux2"
echo "into directory $SR ..."
./src/helpers/mkdir.sh $SR
cp -r bindist/proxy $SR/proxy
cp -r bindist/man $SR/man
cp -r bindist/logs $SR/logs
cp -r bindist/libexec $SR/libexec
cp -r bindist/include $SR/include
cp -r bindist/icons $SR/icons
cp -r bindist/cgi-bin $SR/cgi-bin
cp -r bindist/bin $SR/bin
if [ -d $SR/conf ]
then
  echo "[Preserving existing configuration files.]"
  cp -r bindist/conf/*.default $SR/conf/
else
  cp -r bindist/conf $SR/conf
fi
if [ -d $SR/htdocs ]
then
  echo "[Preserving existing htdocs directory.]"
else
  cp -r bindist/htdocs $SR/htdocs
fi
sed -e s%/usr/local/apache%$SR/% $SR/conf/httpd.conf.default > $SR/conf/httpd.conf
sed -e s%PIDFILE=%PIDFILE=$SR/% -e s%HTTPD=%HTTPD=\"$SR/% -e "s%/httpd$%/httpd -d $SR\"%" bindist/bin/apachectl > $SR/bin/apachectl
 
echo "Ready."
echo " +--------------------------------------------------------+"
echo " | You now have successfully installed the Apache 1.3.6   |"
echo " | HTTP server. To verify that Apache actually works      |"
echo " | correctly you now should first check the (initially    |"
echo " | created or preserved) configuration files              |"
echo " |                                                        |"
echo " |   $SR/conf/httpd.conf"
echo " |                                                        |"
echo " | and then you should be able to immediately fire up     |"
echo " | Apache the first time by running:                      |"
echo " |                                                        |"
echo " |   $SR/bin/apachectl start "
echo " |                                                        |"
echo " | Thanks for using Apache.       The Apache Group        |"
echo " |                                http://www.apache.org/  |"
echo " +--------------------------------------------------------+"
echo " "
